### Method

# Gimp Config deserialize_stream

#### Declaration [src]

    gboolean
    gimp_config_deserialize_stream (
      GimpConfig* config,
      GInputStream* input,
      gpointer data,
      GError** error
    )

#### Description [src]

Reads configuration data from `input` and configures `config` accordingly. Basically this function creates a properly configured `GScanner` for you and calls the deserialize function of the `config`‘s `GimpConfigInterface`.

Available since: | 2.10

#### Parameters

`input` | `GInputStream`
| The input stream to read configuration from.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data passed to the deserialize implementation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether deserialization succeeded.